"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ReactNativeToast = void 0;
var _reactNativeLayout = require("@bothrs/react-native-layout");
var _react = require("react");
var _reactNative = require("react-native");
var _usehooksTs = require("usehooks-ts");
var _useReactNativeToast = require("../hooks/useReactNativeToast");
const ReactNativeToast = _ref => {
  let {
    id,
    theme,
    content,
    direction,
    timeout = 3000
  } = _ref;
  const [remove, setRemove] = (0, _react.useState)(false);
  const appearAnimation = (0, _react.useRef)(new _reactNative.Animated.Value(0)).current;
  const [remainingTime, setRemainingTime] = (0, _react.useState)(timeout);
  const [intervalActive, setIntervalActive] = (0, _react.useState)(true);
  const {
    removeToast
  } = (0, _useReactNativeToast.useReactNativeToast)();
  (0, _usehooksTs.useInterval)(() => {
    setRemainingTime(value => value - 16);
  }, intervalActive ? 16 : null);
  (0, _react.useEffect)(() => {
    if (remainingTime < 0 || remove) {
      setIntervalActive(false);
      if (removeToast) {
        _reactNative.Animated.timing(appearAnimation, {
          toValue: 0,
          duration: 200,
          useNativeDriver: true
        }).start(_ref2 => {
          let {
            finished
          } = _ref2;
          if (finished) {
            removeToast(id);
          }
        });
      }
    }
  }, [remainingTime, remove]);
  (0, _react.useEffect)(() => {
    _reactNative.Animated.timing(appearAnimation, {
      toValue: 1,
      duration: 200,
      useNativeDriver: true
    }).start();
  }, [appearAnimation]);
  function handlePress() {
    setRemove(true);
  }
  return /*#__PURE__*/React.createElement(_reactNative.Animated.View, {
    style: {
      opacity: appearAnimation,
      transform: [{
        translateY: appearAnimation.interpolate({
          inputRange: [0, 1],
          outputRange: [direction === 'bottom' ? 40 : -40, 0]
        })
      }, {
        scale: appearAnimation.interpolate({
          inputRange: [0, 1],
          outputRange: [0.7, 1]
        })
      }]
    }
  }, /*#__PURE__*/React.createElement(_reactNative.Pressable, {
    accessibilityRole: "button",
    onPress: handlePress,
    style: theme
  }, /*#__PURE__*/React.createElement(_reactNativeLayout.Padding, {
    amount: {
      horizontal: 12,
      vertical: 6
    }
  }, content)));
};
exports.ReactNativeToast = ReactNativeToast;
//# sourceMappingURL=ReactNativeToast.js.map