"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ReactNativeToastContainer = void 0;
var _reactNativeLayout = require("@bothrs/react-native-layout");
var _react = require("react");
var _reactNative = require("react-native");
var _ReactNativeToastContext = require("../ReactNativeToastContext");
var _ReactNativeToast = require("./ReactNativeToast");
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const ReactNativeToastContainer = _ref => {
  let {
    name,
    direction = 'bottom',
    style
  } = _ref;
  const {
    queue
  } = (0, _react.useContext)(_ReactNativeToastContext.ReactNativeToastContext);

  // Effects
  // ------------------------------------------------------------------------- /
  (0, _react.useEffect)(() => {
    _reactNative.LayoutAnimation.configureNext(_reactNative.LayoutAnimation.Presets.easeInEaseOut);
  }, [queue.length]);

  // Template variables
  // ------------------------------------------------------------------------- /
  const containerStyles = [styles.container];
  const iterationQueue = [...queue];
  if (direction === 'bottom') {
    iterationQueue.reverse();
    containerStyles.push(styles.containerFromBottom);
  } else {
    containerStyles.push(styles.containerFromTop);
  }
  return /*#__PURE__*/React.createElement(_reactNative.View, {
    style: [containerStyles, style]
  }, iterationQueue.filter(toast => {
    if (name && toast.target) {
      return toast.target === name;
    }
    return true;
  }).map((toast, index, queueArray) => /*#__PURE__*/React.createElement(_react.Fragment, {
    key: toast.id
  }, /*#__PURE__*/React.createElement(_ReactNativeToast.ReactNativeToast, _extends({
    key: toast.id,
    direction: direction
  }, toast)), index !== queueArray.length - 1 && /*#__PURE__*/React.createElement(_reactNativeLayout.Spacing, {
    height: 12
  }))));
};

// Styles
// ------------------------------------------------------------------------- /
exports.ReactNativeToastContainer = ReactNativeToastContainer;
const styles = _reactNative.StyleSheet.create({
  container: {},
  containerFromTop: {
    justifyContent: 'flex-start'
  },
  containerFromBottom: {
    justifyContent: 'flex-end'
  }
});
//# sourceMappingURL=ReactNativeToastContainer.js.map