"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ReactNativeToastProvider = void 0;
var _react = require("react");
var _ReactNativeToastContext = require("../ReactNativeToastContext");
var _reactNativeToast = require("../themes/react-native-toast.theme");
const ReactNativeToastProvider = _ref => {
  let {
    children
  } = _ref;
  const [queue, setQueue] = (0, _react.useState)([]);
  function addToast(info) {
    setQueue(value => [...value, {
      id: Date.now().toString(),
      theme: _reactNativeToast.reactNativeToastSuccessTheme,
      content: null,
      ...info
    }]);
  }
  function removeToast(id) {
    setQueue(value => value.filter(toast => toast.id !== id));
  }
  function removeAllToasts() {
    setQueue([]);
  }

  // Template variables
  // ------------------------------------------------------------------------- /
  const providerValue = {
    queue,
    addToast,
    removeToast,
    removeAllToasts
  };
  return /*#__PURE__*/React.createElement(_ReactNativeToastContext.ReactNativeToastContext.Provider, {
    value: providerValue
  }, children);
};
exports.ReactNativeToastProvider = ReactNativeToastProvider;
//# sourceMappingURL=ReactNativeToastProvider.js.map