function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import { Spacing } from '@bothrs/react-native-layout';
import { useContext, Fragment, useEffect } from 'react';
import { LayoutAnimation, StyleSheet, View } from 'react-native';
import { ReactNativeToastContext } from '../ReactNativeToastContext';
import { ReactNativeToast } from './ReactNativeToast';
const ReactNativeToastContainer = _ref => {
  let {
    name,
    direction = 'bottom',
    style
  } = _ref;
  const {
    queue
  } = useContext(ReactNativeToastContext);

  // Effects
  // ------------------------------------------------------------------------- /
  useEffect(() => {
    LayoutAnimation.configureNext(LayoutAnimation.Presets.easeInEaseOut);
  }, [queue.length]);

  // Template variables
  // ------------------------------------------------------------------------- /
  const containerStyles = [styles.container];
  const iterationQueue = [...queue];
  if (direction === 'bottom') {
    iterationQueue.reverse();
    containerStyles.push(styles.containerFromBottom);
  } else {
    containerStyles.push(styles.containerFromTop);
  }
  return /*#__PURE__*/React.createElement(View, {
    style: [containerStyles, style]
  }, iterationQueue.filter(toast => {
    if (name && toast.target) {
      return toast.target === name;
    }
    return true;
  }).map((toast, index, queueArray) => /*#__PURE__*/React.createElement(Fragment, {
    key: toast.id
  }, /*#__PURE__*/React.createElement(ReactNativeToast, _extends({
    key: toast.id,
    direction: direction
  }, toast)), index !== queueArray.length - 1 && /*#__PURE__*/React.createElement(Spacing, {
    height: 12
  }))));
};

// Styles
// ------------------------------------------------------------------------- /
const styles = StyleSheet.create({
  container: {},
  containerFromTop: {
    justifyContent: 'flex-start'
  },
  containerFromBottom: {
    justifyContent: 'flex-end'
  }
});
export { ReactNativeToastContainer };
//# sourceMappingURL=ReactNativeToastContainer.js.map