import { useState } from 'react';
import { ReactNativeToastContext } from '../ReactNativeToastContext';
import { reactNativeToastSuccessTheme } from '../themes/react-native-toast.theme';
const ReactNativeToastProvider = _ref => {
  let {
    children
  } = _ref;
  const [queue, setQueue] = useState([]);
  function addToast(info) {
    setQueue(value => [...value, {
      id: Date.now().toString(),
      theme: reactNativeToastSuccessTheme,
      content: null,
      ...info
    }]);
  }
  function removeToast(id) {
    setQueue(value => value.filter(toast => toast.id !== id));
  }
  function removeAllToasts() {
    setQueue([]);
  }

  // Template variables
  // ------------------------------------------------------------------------- /
  const providerValue = {
    queue,
    addToast,
    removeToast,
    removeAllToasts
  };
  return /*#__PURE__*/React.createElement(ReactNativeToastContext.Provider, {
    value: providerValue
  }, children);
};
export { ReactNativeToastProvider };
//# sourceMappingURL=ReactNativeToastProvider.js.map